/*
   IrSettings.h - Library for IrSettings
   Created by Raoul Minder, January, 2015.
   Released into the public domain.
 */
 
#ifndef IrSettings_h
#define IrSettings_h

#include "Arduino.h"
#include "Logger.h"

class IrSettings
{
   public:
     IrSettings(String name, String code1, String code2);
     bool read(String code);
   private:
     String _code1;
     String _code2;
	 String _lastCode;
	 Logger *_logger;
};

#endif
