/*
   Motor.h - Library for Motor using H-Bridge L293D.
   Created by Raoul Minder, January, 2015.
   Released into the public domain.
 */
 
#ifndef Motor_h
#define Motor_h

#include "Arduino.h"

class Motor
{
   public:
     Motor(int input1Pin, int input2Pin, int enablePin);
     void turnLeft(int speed);
     void turnRight(int speed);
     void stop();
	 String getSetup();
	 
   private:
     int _input1Pin;
     int _input2Pin;
     int _enablePin;
};

#endif
