/*
   Reed.h - Library for Reed Sensor
   Created by Raoul Minder, January, 2015.
   Released into the public domain.
 */
 
#ifndef Reed_h
#define Reed_h

#include "Arduino.h"
#include "Logger.h"

class Reed
{
   public:
     Reed(String name, int inputPin);
     bool read();
	 int getInputPin();
   private:
     int _inputPin;
	 bool _state;
	 Logger *_logger;
};

#endif
